## org.eclipse.emf.compare.match.engine
Interface IMatchScope

All Known Implementing Classes:
  GenericMatchScope

    public interface IMatchScope

A Match Scope is used by the match engine to limit the range of comparison. Only objects/resources within scope, as well as referenced objects directly outside (but not their contents or any of their external referces) may be compared.

Since:
  1.1

Method Summary
`boolean` `isInScope(org.eclipse.emf.ecore.EObject eObject)` Specifies whether the given `EObject` should be regarded as part of the match scope or not.
`boolean` `isInScope(org.eclipse.emf.ecore.resource.Resource resource)` Specifies whether the given `Resource` should be regarded as part of the match scope or not.

Method Detail

### isInScope

    boolean isInScope(org.eclipse.emf.ecore.EObject eObject)

  Specifies whether the given `EObject` should be regarded as part of the match scope or not. If the passed in `EObject` is contained in a `Resource`, it may only be regarded to be within scope, if its `Resource` is also specified to be in scope via `isInScope(Resource)`.

  Parameters:
    `eObject` - the `EObject` of interest
  Returns:
    `true` if eObject is part of the scope, `false` otherwise

### isInScope

    boolean isInScope(org.eclipse.emf.ecore.resource.Resource resource)

  Specifies whether the given `Resource` should be regarded as part of the match scope or not.

  Parameters:
    `resource` - the `resource` of interest
  Returns:
    `true` if resource is part of the scope, `false` otherwise

Copyright 2006 IBM Corporation and others. All Rights Reserved.